package models

import "time"

type Store struct {
	Store_id          uint `gorm:"primaryKey"`
	Owner_id          uint
	Owner             Owner `gorm:"references:Owner_id"`
	Name              string
	Address           string
	PhoneNumber       string
	WebAddress        string
	ApiAddress        string
	StorageName 	  string
	StorageAddress    string
	StorageApiKey	  string
	StorageSecret	  string
	AdminPanelAddress string
	License_id        uint
	License           License `gorm:"references:License_id"`
	Created_at        time.Time
	Modified_at       time.Time
	Modified_by       string
	Is_removed        bool `gorm:"default:false"`
}
