package models

type CreateStoreCommand struct {
	Owner_id          uint   `validate:"required"`
	Name              string `validate:"required"`
	Address           string `validate:"required"`
	PhoneNumber       string `validate:"required"`
	WebAddress        string `validate:"required"`
	ApiAddress        string `validate:"required"`
	StorageName       string `validate:"required"`
	StorageAddress    string `validate:"required"`
	StorageApiKey     string `validate:"required"`
	StorageSecret     string `validate:"required"`
	AdminPanelAddress string `validate:"required"`
	License_id        uint   `validate:"required"`
}

type UpdateStoreCommand struct {
	Owner_id          uint   `validate:"required"`
	Name              string `validate:"required"`
	Address           string `validate:"required"`
	PhoneNumber       string `validate:"required"`
	WebAddress        string `validate:"required"`
	ApiAddress        string `validate:"required"`
	StorageName       string `validate:"required"`
	StorageApiKey     string `validate:"required"`
	StorageSecret     string `validate:"required"`
	StorageAddress    string `validate:"required"`
	AdminPanelAddress string `validate:"required"`
	License_id        uint   `validate:"required"`
}