package models

import "time"

type License struct {
	License_id  uint `gorm:"primaryKey"`
	Plan_id     uint
	Plan 		Plan `gorm:"references:Plan_id"`
	ExpireDate    time.Time
	NumberOfRenewals uint
	Created_at  time.Time
	Modified_at time.Time
	Modified_by string
	Is_removed  bool  `gorm:"default:false"`
}