package models

import "time"

type Role struct {
	Role_id     uint   `gorm:"primaryKey"`
	Name        string `gorm:"unique;not null;validate:'required'"`
	Created_at  time.Time
	Modified_at time.Time
	Modified_by string
	Is_removed  bool `gorm:"default:false"`
}