package queries

import (
	"netina/models"
	user_repository "netina/repositories/user"
)


type GetUserByIdHandler struct {
	Repository user_repository.UserQueryRepository
}


func (r *GetUserByIdHandler) Handle (id uint)(*models.User ,error) {
	return r.Repository.GetUser(id)
}


type GetUserByPhoneNumberHandler struct {
	Repository user_repository.UserQueryRepository
}

func(r *GetUserByPhoneNumberHandler) Handle(phoneNumber string)(*models.User , error) {
	return r.Repository.GetUserByPhoneNumber(phoneNumber)
}