package models

type CreatePlanCommand struct {
	Price             uint  `validate:"required"`
	Period            uint  `validate:"required"`
	Partnership       *bool `json:"partnership" validate:"required"`
	PercentageOfOwner uint  `validate:"required"`
}

type UpdatePlanCommand struct {
	Price             uint  `validate:"required"`
	Period            uint  `validate:"required"`
	Partnership       *bool `json:"partnership" validate:"required"`
	PercentageOfOwner uint  `validate:"required"`
}