package models

import "time"

type User struct {
    User_id           uint      `gorm:"primaryKey"`
    Name         string
    PhoneNumber  string    `gorm:"unique;not null;validate:'required'"`
    Role_id     uint    `gorm:"references:Role_id"`
    Role          Role    
    Created_at    time.Time
    Modified_at    time.Time
    Modified_by     string
    Is_removed      bool    `gorm:"default:false"`
}




