package queries

import (
	"netina/models"
	s "netina/repositories/store"
)


type GetStoreHandler struct {
	Repository s.StoreQueryRepository
}


func (r *GetStoreHandler) Handle (id uint)(*models.Store ,error) {
	return r.Repository.GetStore(id)
}


type GetStoreListHandler struct {
	Repository s.StoreQueryRepository
}

// get owner id and return owner's stores
func (r *GetStoreListHandler) Handle (id uint)([]models.Store ,error) {
	return r.Repository.GetStores(id)
}