package license_repository

import (
	"netina/models"

	"gorm.io/gorm"
)


type LicenseQuery interface{
	GetLicense(id uint)(*models.License , error)
}



type LicenseQueryRepository struct{
	DB *gorm.DB
}




func (r *LicenseQueryRepository) GetLicense(id uint)(*models.License , error){
	var License models.License 
	if err := r.DB.Where("is_removed = ?" , false).Where("license_id = ?" , id).First(&License).Error; err != nil {
		return nil , err
	}

	return &License , nil
}